Module javafx.graphics
Package javafx.scene.input

# Enum Class InputMethodHighlight

java.lang.Object
java.lang.Enum<InputMethodHighlight>
javafx.scene.input.InputMethodHighlight

All Implemented Interfaces:
  `Serializable`, `Comparable<InputMethodHighlight>`, `Constable`

public enum InputMethodHighlight extends Enum<InputMethodHighlight>
The enum that contains the input method text highlights.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SELECTED_CONVERTED`
Highlight used for the selected converted input method text
`SELECTED_RAW`
Highlight used for the selected raw input method text
`UNSELECTED_CONVERTED`
Highlight used for the unselected converted input method text
`UNSELECTED_RAW`
Highlight used for the unselected raw input method text

## Method Summary

Modifier and Type
Method
Description
`static InputMethodHighlight`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InputMethodHighlight[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNSELECTED_RAW

public static final InputMethodHighlight UNSELECTED_RAW
Highlight used for the unselected raw input method text

### SELECTED_RAW

public static final InputMethodHighlight SELECTED_RAW
Highlight used for the selected raw input method text

### UNSELECTED_CONVERTED

public static final InputMethodHighlight UNSELECTED_CONVERTED
Highlight used for the unselected converted input method text

### SELECTED_CONVERTED

public static final InputMethodHighlight SELECTED_CONVERTED
Highlight used for the selected converted input method text

## Method Details

### values

public static InputMethodHighlight[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InputMethodHighlight valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null